/*
 * device.h
 *
 *  Created on: 25.04.2010
 *      Author: weisserd
 */

#ifndef DEVICE_H_
#define DEVICE_H_




/**
 @defgroup device Device Lib
 @code #include <device.h> @endcode

 @brief
 @author WED


 */

/*@{*/

#define delay(us)  _delayFourCycles( ( ( 1*(XTAL/4000) )*us)/1000 )

extern uint16_t ok_cnt;
extern char message_buffer[64][6];
extern uint8_t message_rx_ptr;
extern uint8_t message_tx_ptr;
extern uint8_t rfm_buffer[20];
extern uint8_t cmd_cnt;
extern struct message eth_message;

struct message{
	uint8_t	cnt;
	uint8_t len;
	uint32_t adr;
	uint8_t cmd;
	uint8_t data;
	uint8_t xdata;
	uint16_t crc;
};


/**
 *  @name Functions
 */
/**
 @brief     XTAL-compensated delay for n sek
 @param		t time in sek
 */
void delay_sek(uint16_t t);

/**
 @brief     XTAL-compensated delay for n msk
 @param		t time in ms
 */
void delay_ms(uint16_t t);

/**
 @brief     help function for delay
 @param		count cycles
 */
void _delayFourCycles(uint16_t __count);


/**
 @brief     init SPI as Master
 */
void init_spi(void);
/**
 @brief     send Data to output registers
 @param     value value 24bit data
 */

void send_rfm_data(uint8_t len,uint8_t *buf,uint16_t repeat);
/**
            @brief     send wireless data
            @param data
            @return 0= O.K. 1= timeout

 */

uint8_t transmit_byte(uint8_t t);

void write_hex(uint8_t hexval);
void write_nl(void);
void write_string(char *cbuf);

#endif
