#ifndef UART_H
#define UART_H
/*************************************************************************
 Title	:   includefile for UART handling
 Author:    RDE & WED
 File:	    $Id: uart.h,v 1.1 2010/04/17 17:57:02 weisserd Exp $
 Software:  AVR-GCC 3.3
 Hardware:
***************************************************************************/

/**
 @defgroup uart Uart Handling
 @code #include <uart.h> @endcode

 @brief definition of the commandset
 @author RDE & WED

 */

/*@{*/


#define UART0 1   /**< define UART0 as present */
//#define UART1 1   /**< define UART1 as present */
/**
 *  @name Functions
 */

/**
 @brief     initialize UARTS
 */
void InitUART(void);
#ifdef UART0

/**
 @brief     Receive a Byte from UART0
 @return    databyte
 */
uint8_t ReceiveByte_UART0(void);

/**
 @brief     transmit a byte to UART0
 @param     data databyte
 */

void TransmitByte_UART0(uint8_t data);

/**
 @brief     check if data is in receivebuffer UART0
 @return    true or false
 */
uint8_t IsRxDataUART0(void);
#endif
#ifdef UART1
/**
 @brief     Receive a Byte from UART0
 @return    databyte
 */
uint8_t ReceiveByte_UART1(void);

/**
 @brief     transmit a byte to UART0
 @param     data databyte
 */
void TransmitByte_UART1(uint8_t data);

/**
 @brief     check if data is in receivebuffer UART1
 @return    true or false
 */
uint8_t IsRxDataUART1(void);
#endif
/*@}*/
#endif
